Skip to main content
PUT
Update an assignment

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The quickstart ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"234e4567-e89b-12d3-a456-426614174000"

assignmentId
string<uuid>
required

The unique identifier of the assignment

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json

Request body for updating an assignment

assignedTo
string

Updated user ID to assign to

Required string length: 1 - 255
Example:

"user_789012"

stage
enum<string>

Updated review stage

Available options:
KB_REVIEW,
TASKS_TOPICS_REVIEW,
POLICIES_REVIEW
Example:

"KB_REVIEW"

Response

Successfully updated assignment

Successful response containing the assignment data

data
AssignmentQuickstart · object
required

An assignment linking a user to a topic for a review stage